{
  "name": "frontend",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "predev": "npm install @nucleoriofrio/webmcp@git+https://gitea.nucleoriofrio.com/nucleo000/webmcp.git --silent",
    "dev": "vite",
    "build": "vue-tsc -b && vite build",
    "preview": "vite preview",
    "generate-icons": "node scripts/generate-icons.js",
    "tauri": "tauri",
    "tauri:dev": "tauri dev",
    "tauri:build": "tauri build",
    "tauri:android:init": "tauri android init",
    "tauri:android:dev": "tauri android dev",
    "tauri:android:build": "tauri android build",
    "tauri:ios:init": "tauri ios init",
    "tauri:ios:dev": "tauri ios dev",
    "tauri:ios:build": "tauri ios build"
  },
  "dependencies": {
    "@nucleoriofrio/webmcp": "git+https://gitea.nucleoriofrio.com/nucleo000/webmcp.git",
    "@tauri-apps/api": "^2.10.1",
    "@tauri-apps/plugin-clipboard-manager": "^2.3.2",
    "@tauri-apps/plugin-dialog": "^2.6.0",
    "@tauri-apps/plugin-http": "^2.5.7",
    "@tauri-apps/plugin-notification": "^2.3.3",
    "@tauri-apps/plugin-store": "^2.4.2",
    "@xterm/addon-fit": "^0.11.0",
    "@xterm/addon-web-links": "^0.12.0",
    "@xterm/addon-webgl": "^0.19.0",
    "@xterm/xterm": "^6.0.0",
    "pinia": "^3.0.4",
    "vite-plugin-pwa": "^1.2.0",
    "vue": "^3.5.25",
    "vue-router": "^4.6.4"
  },
  "devDependencies": {
    "@tauri-apps/cli": "^2.10.0",
    "@types/node": "^24.10.1",
    "@vitejs/plugin-vue": "^6.0.2",
    "@vue/tsconfig": "^0.8.1",
    "sharp": "^0.34.5",
    "typescript": "~5.9.3",
    "vite": "^7.3.1",
    "vue-tsc": "^3.1.5"
  }
}
